View Issue Details

IDProjectCategoryView StatusLast Update
0000375Cinelerra-GG[All Projects] Bugpublic2020-03-26 03:55
ReporterPhyllisSmith Assigned Togoodguy  
PrioritynormalSeverityminorReproducibilityhave not tried
Status assignedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000375: Open EDL possible bugs and feature requests
DescriptionAdding Dan's email here so that it does not get lost.
Bugs:
1. if i am not in layer 0, saving does not actually pass modifications upstream to layer 0. I presume it saves something somewhere, but the layer 0 edl never gets updated with the new info, so new modifications work as expected until I close the session, and then when I reopen it, I lose all the new work. The only way to have changes in layers 1 and 2 persist across sessions is to return to layer 0 before saving. this can wreck your day if you forget.
2. one of the advantages of layer editing is keeping a tidy session. it would be nice if each layer only showed the resources it is using directly. In my case for example, the only EDLs which directly reference camera files are layer 2. If I manually remove all the camera files from the resource window of layer 1, I get a neat and tidy resource window, but as soon as I go into layer 2 and return to layer 1, the camera files for the referenced session reappear in layer 1 resource window.
3. often, when I try to drag edits left or right (either of video clips or plugin boundaries), they don't 'keep up' with my mouse. that is, when I let go of the mouse button, the edit hasn't moved as far as the cursor, so I have to drag several times.
4. sometimes, when dragging edits on a track that has deactivated plugins, the plugins activate on their own after moving the clip boundaries, so that each time I move the edit I have to manually deactivate the plugins again.
5. right click > zoom doesn't work on mixer windows

Feature requests:
1. It would be nice to have a videoscope on the compositor in addition to the ability to add plugins to each track. That way we can avoid having to manually activate/deactivate scopes on each track and have several scopes open at a time. The compositor scope would automatically correspond to whatever we see in the compositor.
2. turning off play on a track should stop it streaming in the mixer windows (if this would save processing and i/o overhead).
3. It would be nice to be able to activate/deactivate all plugins on a nested session via a 'nested plugin' strip like we get when sharing processing between tracks. An alternative would be a context menu option (activate/deactivate plugins) when right clicking on the edl in the resource window, or when right clicking on a clip on the timeline.
4. It would be nice to be able to modify length of transitions by dragging the transition's 'length' bar, this would save huge amounts of time and clicks.
5. It would be nice to be able to choose a slider in the camera and projector XYZ controls instead of up/down arrows and number boxes. sliders would allow quick editing if we need to do fast reframing, or we could switch back to numbers for more precise control.
6. It would be nice to be able to select a range and clear all transitions.
7. It would be nice to be able to select a range and transform all keyframes to linear or curved via context menu.
8. I still think making 'd' the shortcut for delete last track is soooo dangerous.
9. It would be nice to have a configurable autosave (that doesn't overwrite the source track, but makes backups every x minutes in an 'autosave' folder).


TagsNo tags attached.

Activities

PhyllisSmith

PhyllisSmith

2020-03-26 03:55

manager   ~0002961

Feature request 0000001 -- a videoscope on the compositor ... The compositor scope would automatically correspond to whatever we see in the compositor.

Try it now. There is a scope icon in both the Compositor and the Viewer that you can enable/disable. Remember this uses a lot of CPU but I had both in my laptop and it only uses 1000% out of 1600% while playing both.
PhyllisSmith

PhyllisSmith

2020-03-20 23:35

manager   ~0002916

Item 2 -- "turning off play on a track should stop it streaming in the mixer windows (if this would save processing and i/o overhead)."

This has been added and checked into GIT. It does save processing time. To use this, RMB in the desired mixer window, and choose "Playable". A white crossed-skis-looking-icon appears in the upper left hand corner of the mixer. See attached. To reverse and play again, RMB and choose Playable to turn back on. The program automatically updates the mixer image when the timeline cursor stops or when it is moved to a different spot even when play is disabled.

Some statistics on a 16 cpu laptop:
  5 Mixers all playing -- cpu usage = 1275
  1 only playing -- cpu usage = 405
  2 only playing -- cpu usage = 800
But with more mixers, not as dramatic of savings:
 16 Mixers all playing -- cpu usage = 1465
   1 only playing -- cpu usage = 935
   2 only playing -- cpu usage = 1150

a.jpg (45,074 bytes)
a.jpg (45,074 bytes)
PhyllisSmith

PhyllisSmith

2020-03-18 19:36

manager   ~0002906

Item 6 -- select a range and clear all transitions.
GG started writing the code to do this but "lo and behold", you already have this feature. Use the Edit pulldown and choose "Detach transitions". Only the transitions in the selected range will be cleared.
PhyllisSmith

PhyllisSmith

2020-03-15 04:06

manager   ~0002903

Bug 1 has been fixed so that if you do a Save (shortcut letter s) in any layer, it is propagated up so then if you quit in any layer, the changes are in effect and you will not lose work.
PhyllisSmith

PhyllisSmith

2020-03-12 21:46

manager   ~0002896

Bug 5 -- "right click > zoom doesn't work on mixer windows" has been fixed and will be checked into GIT soon. In addition "Tile Mixers" option right on the display is a more easily accessible option to get the windows back to the default locations/sizes. It is still a choice in the Window->Mixers pulldown too.
Sam

Sam

2020-03-11 00:02

administrator   ~0002873

About Item 5:
Thanks for integrating this feature. I like it. +1
PhyllisSmith

PhyllisSmith

2020-03-10 23:59

manager   ~0002872

Last edited: 2020-03-10 23:59

View 2 revisions

Item 5 -- Dan says "It would be nice to be able to choose a slider in the camera and projector XYZ controls"
Sliders have been added along with range tumblers to be used in conjunction with the Overlays XYX auto lines and zoom bar ranges. Attached shows the menu now.



projector.jpg (10,942 bytes)
projector.jpg (10,942 bytes)
PhyllisSmith

PhyllisSmith

2020-03-08 18:44

manager   ~0002871

Item 4 -- Dan says "sometimes, when dragging edits on a track that has deactivated plugins, the plugins activate on their own after moving the clip boundaries".
This is now fixed in the GIT checkin and while doing so, found plugins flaw which took awhile to fix. Plugins are now changed to an ID based reference because there was a problem resulting from making plugin copies.
PhyllisSmith

PhyllisSmith

2020-02-29 18:34

manager   ~0002850

Last edited: 2020-03-20 23:20

View 2 revisions

Item 8 --- Dan says: "I still think making 'd' the shortcut for delete last track is soooo dangerous." I believe that this "Dan" is "D. Quinton" but I could be very wrong. But at least twice this has been noted as an issue so GG has changed it and it will be in the February 29, 2020 builds. The shortcut is now Ctrl-D and of course, you can still just use the "Tracks" pulldown for "Delete last track" if you forget the new shortcut. What convinced me that it really is dangerous is that if you accidentally type d instead of the nearby characters like x, you will have deleted the last track AND NOT EVEN KNOW it because so often the last track is scrolled off the screen.

Issue History

Date Modified Username Field Change
2020-02-08 17:08 PhyllisSmith New Issue
2020-02-29 18:34 PhyllisSmith Note Added: 0002850
2020-03-08 18:44 PhyllisSmith Note Added: 0002871
2020-03-10 23:59 PhyllisSmith File Added: projector.jpg
2020-03-10 23:59 PhyllisSmith Note Added: 0002872
2020-03-10 23:59 PhyllisSmith Note Edited: 0002872 View Revisions
2020-03-11 00:02 Sam Note Added: 0002873
2020-03-12 17:50 PhyllisSmith Assigned To => goodguy
2020-03-12 17:50 PhyllisSmith Status new => assigned
2020-03-12 21:46 PhyllisSmith Note Added: 0002896
2020-03-15 04:06 PhyllisSmith Note Added: 0002903
2020-03-18 19:36 PhyllisSmith Note Added: 0002906
2020-03-20 23:20 PhyllisSmith Note Edited: 0002850 View Revisions
2020-03-20 23:35 PhyllisSmith File Added: a.jpg
2020-03-20 23:35 PhyllisSmith Note Added: 0002916
2020-03-26 03:55 PhyllisSmith Note Added: 0002961